Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.model
Class CIResponsibleParty

    java.lang.Object
      org.deegree.portal.cataloguemanager.model.CIResponsibleParty

    public class CIResponsibleParty

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.isotc211.org/2005/gmd}individualName"/>
             <element ref="{http://www.isotc211.org/2005/gmd}organisationName"/>
             <element ref="{http://www.isotc211.org/2005/gmd}contactInfo"/>
             <element ref="{http://www.isotc211.org/2005/gmd}role"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected ContactInfo` | `contactInfo`
`protected IndividualName` | `individualName`
`protected OrganisationName` | `organisationName`
`protected Role` | `role`

Constructor Summary
`CIResponsibleParty()`

Method Summary
`ContactInfo` | `getContactInfo()` Gets the value of the contactInfo property.
`IndividualName` | `getIndividualName()` Gets the value of the individualName property.
`OrganisationName` | `getOrganisationName()` Gets the value of the organisationName property.
`Role` | `getRole()` Gets the value of the role property.
`void` | `setContactInfo(ContactInfo value)` Sets the value of the contactInfo property.
`void` | `setIndividualName(IndividualName value)` Sets the value of the individualName property.
`void` | `setOrganisationName(OrganisationName value)` Sets the value of the organisationName property.
`void` | `setRole(Role value)` Sets the value of the role property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### individualName

    protected IndividualName individualName

### organisationName

    protected OrganisationName organisationName

### contactInfo

    protected ContactInfo contactInfo

### role

    protected Role role

Constructor Detail

### CIResponsibleParty

    public CIResponsibleParty()

Method Detail

### getIndividualName

    public IndividualName getIndividualName()

  Gets the value of the individualName property.

  Returns:
    possible object is `IndividualName`

### setIndividualName

    public void setIndividualName(IndividualName value)

  Sets the value of the individualName property.

  Parameters:
    `value` - allowed object is `IndividualName`

### getOrganisationName

    public OrganisationName getOrganisationName()

  Gets the value of the organisationName property.

  Returns:
    possible object is `OrganisationName`

### setOrganisationName

    public void setOrganisationName(OrganisationName value)

  Sets the value of the organisationName property.

  Parameters:
    `value` - allowed object is `OrganisationName`

### getContactInfo

    public ContactInfo getContactInfo()

  Gets the value of the contactInfo property.

  Returns:
    possible object is `ContactInfo`

### setContactInfo

    public void setContactInfo(ContactInfo value)

  Sets the value of the contactInfo property.

  Parameters:
    `value` - allowed object is `ContactInfo`

### getRole

    public Role getRole()

  Gets the value of the role property.

  Returns:
    possible object is `Role`

### setRole

    public void setRole(Role value)

  Sets the value of the role property.

  Parameters:
    `value` - allowed object is `Role`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org